import { EventEmitter } from '../../stencil.core';
import { ForwardGeocodeOptions, ReverseGeocodeOptions } from './geocode-interface';
export declare class GeocodeController {
    static clients: {};
    defaultClient: string;
    glForwardGeocode: EventEmitter;
    glReverseGeocode: EventEmitter;
    forward(options: ForwardGeocodeOptions, clientOptions?: any): Promise<any>;
    reverse(options: ReverseGeocodeOptions, clientOptions?: any): Promise<any>;
    getClient(id?: string): any;
    static addClient(id: string, service: any): void;
}
